ScrollPane.ScrollBarPolicy (JavaFX 13)

Module javafx.controls
Package javafx.scene.control

## Enum ScrollPane.ScrollBarPolicy

- java.lang.Object
- - java.lang.Enum<ScrollPane.ScrollBarPolicy>
  - - javafx.scene.control.ScrollPane.ScrollBarPolicy

- All Implemented Interfaces:
    `Serializable`, `Comparable<ScrollPane.ScrollBarPolicy>`
  Enclosing class:
    ScrollPane

      public static enum ScrollPane.ScrollBarPolicy
      extends Enum<ScrollPane.ScrollBarPolicy>

  An enumeration denoting the policy to be used by a scrollable Control in deciding whether to show a scroll bar.
  Since:
    JavaFX 2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` | Indicates that a scroll bar should always be shown.
    `AS_NEEDED` | Indicates that a scroll bar should be shown when required.
    `NEVER` | Indicates that a scroll bar should never be shown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScrollPane.ScrollBarPolicy` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ScrollPane.ScrollBarPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER

          public static final ScrollPane.ScrollBarPolicy NEVER

      Indicates that a scroll bar should never be shown.

    - #### ALWAYS

          public static final ScrollPane.ScrollBarPolicy ALWAYS

      Indicates that a scroll bar should always be shown.

    - #### AS_NEEDED

          public static final ScrollPane.ScrollBarPolicy AS_NEEDED

      Indicates that a scroll bar should be shown when required.

  - ### Method Detail

    - #### values

          public static ScrollPane.ScrollBarPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScrollPane.ScrollBarPolicy c : ScrollPane.ScrollBarPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScrollPane.ScrollBarPolicy valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null